E-Mail-Signaturen
GET https://u.page/api/signatures/
curl --request GET \
--url 'https://u.page/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional (Optional) Zeichenkette | Der Suchbegriff. |
| search_by | Optional (Optional) Zeichenkette | Nach welchem Feld suchen Sie? Erlaubte Werte sind: name. |
| datetime_field | Optional (Optional) Zeichenkette | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional (Optional) Zeichenkette | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional (Optional) Zeichenkette | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional (Optional) Zeichenkette | Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: signature_id, datetime, last_datetime, name. |
| order_type | Optional (Optional) Zeichenkette | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. |
| page | Optional (Optional) Ganzzahl | Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig ist sie 1. |
| results_per_page | Optional (Optional) Ganzzahl | Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig auf 25 festgelegt. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-09-14 05:30:05"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://u.page/api/signatures?page=1",
"last": "https://u.page/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/signatures?page=1"
}
}
GET https://u.page/api/signatures/{signature_id}
curl --request GET \
--url 'https://u.page/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-09-14 05:30:05"
}
}
POST https://u.page/api/signatures
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich Zeichenkette | Name |
| template | Optional (Optional) Zeichenkette | Erlaubte Werte: plain_text, mars, mercury, venus, nova |
| direction | Optional (Optional) Zeichenkette | Erlaubte Werte: ltr, rtl |
| is_removed_branding | Optional (Optional) Boolean | Remove branding |
| image_url | Optional (Optional) Zeichenkette | Only use JPG, JPEG, GIF, PNG images. |
| sign_off | Optional (Optional) Zeichenkette | Sign off |
| full_name | Optional (Optional) Zeichenkette | Full name |
| job_title | Optional (Optional) Zeichenkette | Job title |
| department | Optional (Optional) Zeichenkette | Department |
| company | Optional (Optional) Zeichenkette | Company |
| Optional (Optional) Zeichenkette | ||
| website_name | Optional (Optional) Zeichenkette | Website name |
| website_url | Optional (Optional) Zeichenkette | Website URL |
| address | Optional (Optional) Zeichenkette | Address |
| address_url | Optional (Optional) Zeichenkette | Link to a Google maps location, for example. |
| phone_number | Optional (Optional) Zeichenkette | Phone number |
| Optional (Optional) Zeichenkette | ||
| facebook_messenger | Optional (Optional) Zeichenkette | Facebook messenger username |
| telegram | Optional (Optional) Zeichenkette | Telegram username |
| disclaimer | Optional (Optional) Zeichenkette | Disclaimer text |
| font_family | Optional (Optional) Zeichenkette | Erlaubte Werte: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Optional (Optional) Ganzzahl | Erlaubte Werte: 12-18 |
| width | Optional (Optional) Ganzzahl | Erlaubte Werte: 300-600 |
| image_width | Optional (Optional) Ganzzahl | Erlaubte Werte: 45-150 |
| image_border_radius | Optional (Optional) Ganzzahl | Erlaubte Werte: 0-100 |
| socials_width | Optional (Optional) Ganzzahl | Erlaubte Werte: 15-30 |
| socials_padding | Optional (Optional) Ganzzahl | Erlaubte Werte: 5-15 |
| separator_size | Optional (Optional) Ganzzahl | Erlaubte Werte: 0-5 |
| border_radius | Optional (Optional) Ganzzahl | Erlaubte Werte: 0-30 |
| background_color | Optional (Optional) Zeichenkette | Background color |
| border_color | Optional (Optional) Zeichenkette | Border color |
| theme_color | Optional (Optional) Zeichenkette | Theme color |
| full_name_color | Optional (Optional) Zeichenkette | Full name color |
| text_color | Optional (Optional) Zeichenkette | Text color |
| link_color | Optional (Optional) Zeichenkette | Link color |
| Optional (Optional) Zeichenkette | Facebook username | |
| threads | Optional (Optional) Zeichenkette | Threads username |
| x | Optional (Optional) Zeichenkette | X username |
| Optional (Optional) Zeichenkette | Instagram username | |
| youtube | Optional (Optional) Zeichenkette | YouTube channel |
| tiktok | Optional (Optional) Zeichenkette | TikTok username |
| spotify | Optional (Optional) Zeichenkette | Spotify username |
| Optional (Optional) Zeichenkette | Pinterest username | |
| Optional (Optional) Zeichenkette | LinkedIn username | |
| snapchat | Optional (Optional) Zeichenkette | Snapchat username |
| twitch | Optional (Optional) Zeichenkette | Twitch username |
| discord | Optional (Optional) Zeichenkette | Discord user id |
| github | Optional (Optional) Zeichenkette | Github username |
| Optional (Optional) Zeichenkette | Reddit username |
curl --request POST \
--url 'https://u.page/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://u.page/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-09-14 05:30:05"
}
}
POST https://u.page/api/signatures/{signature_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional (Optional) Zeichenkette | Name |
| template | Optional (Optional) Zeichenkette | Erlaubte Werte: plain_text, mars, mercury, venus, nova |
| direction | Optional (Optional) Zeichenkette | Erlaubte Werte: ltr, rtl |
| is_removed_branding | Optional (Optional) Boolean | Remove branding |
| image_url | Optional (Optional) Zeichenkette | Only use JPG, JPEG, GIF, PNG images. |
| sign_off | Optional (Optional) Zeichenkette | Sign off |
| full_name | Optional (Optional) Zeichenkette | Full name |
| job_title | Optional (Optional) Zeichenkette | Job title |
| department | Optional (Optional) Zeichenkette | Department |
| company | Optional (Optional) Zeichenkette | Company |
| Optional (Optional) Zeichenkette | ||
| website_name | Optional (Optional) Zeichenkette | Website name |
| website_url | Optional (Optional) Zeichenkette | Website URL |
| address | Optional (Optional) Zeichenkette | Address |
| address_url | Optional (Optional) Zeichenkette | Link to a Google maps location, for example. |
| phone_number | Optional (Optional) Zeichenkette | Phone number |
| Optional (Optional) Zeichenkette | ||
| facebook_messenger | Optional (Optional) Zeichenkette | Facebook messenger username |
| telegram | Optional (Optional) Zeichenkette | Telegram username |
| disclaimer | Optional (Optional) Zeichenkette | Disclaimer text |
| font_family | Optional (Optional) Zeichenkette | Erlaubte Werte: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Optional (Optional) Ganzzahl | Erlaubte Werte: 12-18 |
| width | Optional (Optional) Ganzzahl | Erlaubte Werte: 300-600 |
| image_width | Optional (Optional) Ganzzahl | Erlaubte Werte: 45-150 |
| image_border_radius | Optional (Optional) Ganzzahl | Erlaubte Werte: 0-100 |
| socials_width | Optional (Optional) Ganzzahl | Erlaubte Werte: 15-30 |
| socials_padding | Optional (Optional) Ganzzahl | Erlaubte Werte: 5-15 |
| separator_size | Optional (Optional) Ganzzahl | Erlaubte Werte: 0-5 |
| border_radius | Optional (Optional) Ganzzahl | Erlaubte Werte: 0-30 |
| background_color | Optional (Optional) Zeichenkette | Background color |
| border_color | Optional (Optional) Zeichenkette | Border color |
| theme_color | Optional (Optional) Zeichenkette | Theme color |
| full_name_color | Optional (Optional) Zeichenkette | Full name color |
| text_color | Optional (Optional) Zeichenkette | Text color |
| link_color | Optional (Optional) Zeichenkette | Link color |
| Optional (Optional) Zeichenkette | Facebook username | |
| threads | Optional (Optional) Zeichenkette | Threads username |
| x | Optional (Optional) Zeichenkette | X username |
| Optional (Optional) Zeichenkette | Instagram username | |
| youtube | Optional (Optional) Zeichenkette | YouTube channel |
| tiktok | Optional (Optional) Zeichenkette | TikTok username |
| spotify | Optional (Optional) Zeichenkette | Spotify username |
| Optional (Optional) Zeichenkette | Pinterest username | |
| Optional (Optional) Zeichenkette | LinkedIn username | |
| snapchat | Optional (Optional) Zeichenkette | Snapchat username |
| twitch | Optional (Optional) Zeichenkette | Twitch username |
| discord | Optional (Optional) Zeichenkette | Discord user id |
| github | Optional (Optional) Zeichenkette | Github username |
| Optional (Optional) Zeichenkette | Reddit username |
curl --request POST \
--url 'https://u.page/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://u.page/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-09-14 05:30:05",
"datetime": "2026-09-14 05:30:05"
}
}
DELETE https://u.page/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://u.page/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \